[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetCellHintText

Gets the hint for the specified cell using the Options enabled in the grid control.

## Declaration

Source position: grids.pas line 1087

`protected function TCustomGrid.GetCellHintText(`
`ACol: Integer;`
`ARow: Integer`
`):string; virtual;`

## Arguments

`ACol` |  | Column number for the cell.
`ARow` |  | Row number for the cell.

## Function result

String with the hint text for the specified cell.

## Description

GetCellHintText signals the OnGetCellHint event handler (when assigned) to get the hint text for the cell at the position in ACol and ARow. The return value contains the hint text returned from the event handler, or an empty string ('') when the event handler has not been assigned.

GetCellHintText is called from the ShowCellHintWindow method when Options contains the value goCellHints and CellHintPriority is not set to chpTruncOnly.

## See also

TCustomGrid.OnGetCellHint |  | Gets the hint text for a cell.
TCustomGrid.ShowCellHintWindow |  | Gets and displays the cell hint(s) for the current cell in the grid.
TCustomGrid.Options |  | Contains the set of optional features and/or behaviors enabled for the grid control.
TCustomGrid.CellHintPriority |  | Identifies how text is combined to form the Hint property.
TCustomGrid.GetTruncCellHintText |  | Gets the truncated version of the hint for the cell at the specified position.